%define their_version 2.6.STABLE7
%define version 2.6.STABLE7

## Redefine configure values.
%define         _bindir %{_prefix}/sbin
%define         _libexecdir %{_libdir}/squid
%define         _initrddir /etc/rc.d/init.d/
%define         _sysconfdir /etc/squid
%define         _localstatedir /var
%define         defaultmaxfiles 1024

Summary:	The Squid proxy caching server
Name:		squid
Version:	%{version}
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.squid-cache.org/
Source0:	http://www.squid-cache.org/Versions/v2/2.6/squid-%{their_version}.tar.bz2
Source1:	http://www.squid-cache.org/Versions/v2/2.6/squid-%{their_version}.tar.bz2.asc
Source2:	http://www.squid-cache.org/Doc/FAQ/FAQ.tar.bz2
Source3:	squid.init
Source4:	squid.logrotate
Source5:	squid.conf.authenticate
Source6:	smb.conf
Source7:	squid.conf.transparent
Source8:	rc.firewall
Source9:	ERR_CUSTOM_ACCESS_DENIED.English
Source10:	ERR_CUSTOM_ACCESS_DENIED.French
Source11: 	squid.sysconfig
Source12:	squid.pam-0.77
Source13:	squid.pam
Patch0:		squid-2.6.STABLE6-make.patch
Patch1:		squid-2.5-config.patch
Patch2:		squid-2.5.STABLE9-user_group.patch
Patch3:		squid-2.5.STABLE2-ssl.patch
Patch6: 	http://dansguardian.org/downloads/squid-xforward_logging.patch
Patch7: 	squid-2.6.STABLE1-db4.diff
Patch8: 	squid-2.6.STABLE1-visible_hostname.diff
Patch9: 	squid-2.6.STABLE-smb-auth.diff
# http://www.squid-cache.org/Advisories/SQUID-2007_1.txt
Patch10:	http://www.squid-cache.org/Versions/v2/2.6/changesets/11349.patch
# http://devel.squid-cache.org/projects.html#icap
Patch300:	squid-2.6-icap.patch
Patch301:	squid-2.6.STABLE1-getconf_mess.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	db4-devel
BuildRequires:	libsasl-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	libtool
#BuildRequires:	automake1.9
#BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Squid is a high-performance proxy caching server for Web clients,
supporting FTP, gopher, and HTTP data objects. Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process. Squid keeps meta data and especially
hot objects cached in RAM, caches DNS lookups, supports non-blocking
DNS lookups, and implements negative caching of failed requests.

Squid consists of a main server program squid, a Domain Name System
lookup program (dnsserver), a program for retrieving FTP data
(ftpget), and some management and client tools.

Install squid if you need a proxy caching server.

This package defaults to a maximum of %defaultmaxfiles filedescriptors. You can change 
this value at build time by using for example:

--define 'maxfiles 4096'

The package was built to support a maximum of %{?!maxfiles:%defaultmaxfiles}%{?maxfiles:%maxfiles} filedescriptors.

%package	cachemgr
Summary:	The Squid Cache Manager
Group:		System/Servers
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache >= 2.0.54
Requires(pre):	apache-modules >= 2.0.54
Requires(pre):	%{name} = %{version}
Requires:	apache-conf >= 2.0.54
Requires:	apache >= 2.0.54
Requires:	apache-modules >= 2.0.54
Requires:	%{name} = %{version}

%description	cachemgr
This package contains the Squid Cache Manager.

%prep

%setup -q -n squid-%their_version

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .ssl
%patch6 -p1 -b .forward_logging
%patch7 -p1 -b .db4
%patch8 -p0 -b .visible_hostname
%patch9 -p0 -b .backslashes
%patch10 -p1 -b .DoS

%patch300 -p1 -b .ICAP
%patch301 -p0 -b .getconf

mkdir -p faq
tar -jxf %{SOURCE2} -C faq

install -m 0755 %{SOURCE3} squid.init
install -m 0644 %{SOURCE4} squid.logrotate
install -m 0644 %{SOURCE5} squid.conf.authenticate
install -m 0644 %{SOURCE6} smb.conf
install -m 0644 %{SOURCE7} squid.conf.transparent
install -m 0755 %{SOURCE8} rc.firewall
install -m 0644 %{SOURCE11} squid.sysconfig

# fix conditional pam config file
%if %{mdkversion} < 200610
install -m 0644 %{SOURCE12} squid.pam
%else
install -m 0644 %{SOURCE13} squid.pam
%endif

perl -p -i -e "s|^SAMBAPREFIX.*|SAMBAPREFIX = /usr|" helpers/basic_auth/SMB/Makefile.*
perl -p -i -e "s|^icondir.*|icondir = \\$\(libexecdir\)/icons|" icons/Makefile.am icons/Makefile.*
grep -r "local/bin/perl" . |sed -e "s/:.*$//g" | xargs perl -p -i -e "s@local/bin/perl@bin/perl@g"

%build
rm -rf configure autom4te.cache
libtoolize --copy --force
aclocal
autoheader
autoconf --force
automake --foreign --add-missing --copy --force-missing

export SSLLIB="-L%{_libdir} `pkg-config --libs openssl`"
export CPPFLAGS="-I%{_includedir}/openssl $CPPFLAGS"

%ifarch x86_64
export CFLAGS="%{optflags} -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%else
export CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
%endif

%configure2_5x \
    --enable-icap-support \
    %{?!maxfiles:--with-maxfd=%defaultmaxfiles}%{?maxfiles:%maxfiles} \
    --disable-poll \
    --enable-epoll \
    --enable-snmp \
    --enable-useragent-log \
    --enable-referer-log \
    --enable-removal-policies="heap,lru" \
    --enable-storeio="aufs,coss,diskd,ufs,null" \
    --enable-cachemgr-hostname="localhost" \
    --enable-truncate \
    --enable-underscores \
    --enable-carp \
    --enable-async-io \
    --enable-htcp \
    --enable-icmp \
    --enable-delay-pools \
    --enable-linux-netfilter \
    --enable-default-hostsfile=/etc/hosts \
    --enable-ssl \
    --with-openssl=%{_prefix} \
    --enable-arp-acl \
    --enable-wccp \
    --enable-wccpv2 \
    --enable-auth="basic,digest,ntlm,negotiate" \
    --enable-basic-auth-helpers="getpwnam,LDAP,MSNT,multi-domain-NTLM,NCSA,PAM,SASL,SMB,YP" \
    --enable-ntlm-auth-helpers="fakeauth,no_check,SMB" \
    --enable-digest-auth-helpers="ldap,password" \
    --enable-external-acl-helpers="ip_user,ldap_group,session,unix_group,wbinfo_group" \
    --enable-follow-x-forwarded-for \
    --with-pthreads \
    --disable-dependency-tracking \
    --disable-ident-lookups \
    --enable-large-cache-files \
    --with-large-files \
    --with-build-environment=default

# Some versions of autoconf fail to detect sys/resource.h correctly;
# apparently because it generates a compiler warning.

if [ -e /usr/include/sys/resource.h ]; then
cat >> include/autoconf.h <<EOF
#ifndef HAVE_SYS_RESOURCE_H
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_STRUCT_RUSAGE 1
#endif
EOF
fi

# move the errors files
grep -r errors * |grep share | sed -e "s/:.*$//g" | xargs perl -p -i -e "s|usr/share/errors|usr/%{_lib}/squid/errors|g" 
grep -r iconsdir * |grep share | sed -e "s/:.*$//g" | xargs perl -p -i -e "s|usr/share/errors|usr/%{_lib}/squid/errors|g" 

%make

grep -r errors * |grep share | sed -e "s/:.*$//g" | xargs perl -p -i -e "s|usr/share/errors|usr/%{_lib}/squid/errors|g" 

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall 

# make some directories
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}/etc/{logrotate.d,pam.d,sysconfig}
install -d %{buildroot}/etc/httpd/conf/webapps.d
install -d %{buildroot}%{_libexecdir}/{errors,icons}
install -d %{buildroot}%{_libexecdir}/errors/{English,French}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_var}/www/cgi-bin
install -d %{buildroot}%{_var}/log/squid
install -d %{buildroot}%{_var}/run/squid
install -d %{buildroot}%{_var}/spool/squid
install -d %{buildroot}%{_datadir}/snmp/mibs

# fix error docs location
rm -rf %{buildroot}%{_sysconfdir}/errors
pushd errors
    for i in *; do
	if [ -d $i ]; then
	    install -d %{buildroot}%{_libexecdir}/errors/$i
	    install -m0644 $i/* %{buildroot}%{_libexecdir}/errors/$i
	fi
    done
popd
ln -fs %{_libexecdir}/errors/English %{buildroot}%{_sysconfdir}/errors

# install config
install -m0755 squid.init %{buildroot}%{_initrddir}/squid
install -m0644 squid.logrotate %{buildroot}/etc/logrotate.d/squid
install -m0644 squid.sysconfig %{buildroot}/etc/sysconfig/squid
install -m0644 helpers/basic_auth/MSNT/msntauth.conf.default %{buildroot}%{_sysconfdir}

# fix docs
cp helpers/basic_auth/LDAP/README README.auth_ldap

cp helpers/basic_auth/MSNT/README.html README.auth_msnt.html
cp helpers/basic_auth/MSNT/msntauth.conf.default .

cp helpers/basic_auth/SASL/README README.auth_sasl
cp helpers/basic_auth/SASL/squid_sasl_auth.conf .

cp helpers/basic_auth/SMB/README README.auth_smb
cp helpers/basic_auth/multi-domain-NTLM/README.txt README.multi-domain-NTLM_basic_auth

cp helpers/external_acl/ip_user/README README.ip_user_external_acl
cp helpers/external_acl/ip_user/example.conf ip_user_external_acl.example.conf
cp helpers/external_acl/ip_user/example-deny_all_but.conf ip_user_external_acl.example-deny_all_but.conf

cp helpers/external_acl/ldap_group/README README.ldap_group_external_acl
cp helpers/external_acl/ldap_group/ChangeLog ChangeLog.ldap_group_external_acl

cp helpers/external_acl/unix_group/README README.unix_group_external_acl
cp helpers/ntlm_auth/no_check/README.no_check_ntlm_auth README.no_check_ntlm_auth

head -19 helpers/basic_auth/NCSA/ncsa_auth.c > README.NCSA_basic_auth
head -56 helpers/basic_auth/PAM/pam_auth.c > README.PAM_basic_auth
head -21 helpers/basic_auth/getpwnam/getpwnam_auth.c > README.getpwnam_basic_auth
head -32 helpers/digest_auth/password/digest_pw_auth.c > README.password_digest_auth
head -32 helpers/digest_auth/ldap/digest_pw_auth.c > README.ldap_digest_auth

install -m0755 helpers/basic_auth/SMB/smb_auth.sh %{buildroot}%{_libexecdir}
install -m0755 helpers/basic_auth/SASL/squid_sasl_auth %{buildroot}%{_libexecdir}

for manpage in `find -name "*.8"`; do
    install -m0644 $manpage %{buildroot}/%{_mandir}/man8/
done

install -m 0644 %{SOURCE9} %{buildroot}%{_libexecdir}/errors/English/ERR_CUSTOM_ACCESS_DENIED
install -m 0644 %{SOURCE10} %{buildroot}%{_libexecdir}/errors/French/ERR_CUSTOM_ACCESS_DENIED

install -m644 squid.pam %{buildroot}/etc/pam.d/squid

# move the mib in-place
mv %{buildroot}%{_datadir}/mib.txt %{buildroot}%{_datadir}/snmp/mibs/SQUID.txt

# move cachemgr.cgi to a more safe location
mv %{buildroot}%{_libexecdir}/cachemgr.cgi %{buildroot}%{_var}/www/cgi-bin/

# provide a simple apache config
cat > %{buildroot}/etc/httpd/conf/webapps.d/squid-cachemgr.conf << EOF
<Location /cgi-bin/cachemgr.cgi>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
</Location>
EOF

# some cleaning
rm -f %{buildroot}%{_libdir}/squid/no_check.pl
rm -rf %{buildroot}%{_datadir}/errors

# nuke zero length files
find %{buildroot}%{_libdir}/squid/errors/ -type f -size 0 -exec rm -f {} \;

%pre
%_pre_useradd squid %{_var}/spool/squid /bin/false

for i in %{_var}/log/squid %{_var}/spool/squid ; do
        if [ -d $i ] ; then
                for adir in `find $i -maxdepth 0 \! -user squid`; do
                        chown -R squid:squid $adir
                done
        fi
done

%post
%_post_service squid
 case "$LANG" in
  az*)
     DIR=Azerbaijani
     ;;
  bg*)
     DIR=Bulgarian
     ;;
  ca*)
     DIR=Catalan
     ;;
  cs*)
     DIR=Czech
     ;;
  da*)
     DIR=Danish
     ;;
  nl*)
     DIR=Dutch
     ;;
  en*)
     DIR=English
     ;;
  ea*)
     DIR=Estonian
     ;;
  fi*)
     DIR=Finnish
     ;;
  fr*)
     DIR=French
     ;;
  de*)
     DIR=German
     ;;
  el*)
     DIR=Greek
     ;;
  he*)
     DIR=Hebrew
     ;;
  hu*)
     DIR=Hungarian
     ;;
  it*)
     DIR=Italian
     ;;
  ja*)
     DIR=Japanese
     ;;
  kr*)
     DIR=Korean
     ;;
  lt*)
     DIR=Lithuanian
     ;;
  pl*)
     DIR=Polish
     ;;
  pt*)
     DIR=Portuguese
     ;;
  ro*)
     DIR=Romanian
     ;;
  ru*)
     DIR=Russian-koi8-r
     ;;
  sr*)
     DIR=Serbian
     ;;
  sk*)
     DIR=Slovak
     ;;
  es*)
     DIR=Spanish
     ;;
  sv*)
     DIR=Swedish
     ;;
  zh*)
     DIR=Traditional_Chinese
     ;;
  tr*)
     DIR=Turkish
     ;;
  *)
     DIR=English
     ;;
 esac

%preun
%_preun_service squid
if [ $1 = 0 ] ; then
	rm -f %{_var}/log/squid/*
        /sbin/chkconfig --del squid
fi

%postun
%_postun_userdel squid

%post cachemgr
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun cachemgr
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc faq/* C* S* R* Q* rc.firewall *.conf* doc/*.txt
%exclude %{_sysconfdir}/cachemgr.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.default
%attr(0644,root,root) %config(noreplace) /etc/pam.d/squid
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/squid
%attr(0644,root,root) %config(noreplace) /etc/logrotate.d/squid
%attr(0755,root,squid) %{_initrddir}/squid
%{_sysconfdir}/errors
%{_libexecdir}/errors
%{_libexecdir}/icons
%{_libexecdir}/diskd-daemon
%{_libexecdir}/unlinkd
%attr(0755,root,squid) %{_libexecdir}/digest_ldap_auth
%attr(0755,root,squid) %{_libexecdir}/digest_pw_auth
%attr(0755,root,squid) %{_libexecdir}/fakeauth_auth
%attr(0755,root,squid) %{_libexecdir}/getpwname_auth
%attr(0755,root,squid) %{_libexecdir}/ip_user_check
%attr(0755,root,squid) %{_libexecdir}/msnt_auth
%attr(0755,root,squid) %{_libexecdir}/ncsa_auth
%attr(0755,root,squid) %{_libexecdir}/ntlm_auth
%attr(0755,root,squid) %{_libexecdir}/pam_auth
%attr(0755,root,squid) %{_libexecdir}/pinger
%attr(0755,root,squid) %{_libexecdir}/sasl_auth
%attr(0755,root,squid) %{_libexecdir}/smb_auth
%attr(0755,root,squid) %{_libexecdir}/smb_auth.pl
%attr(0755,root,squid) %{_libexecdir}/smb_auth.sh
%attr(0755,root,squid) %{_libexecdir}/squid_ldap_auth
%attr(0755,root,squid) %{_libexecdir}/squid_ldap_group
%attr(0755,root,squid) %{_libexecdir}/squid_sasl_auth
%attr(0755,root,squid) %{_libexecdir}/squid_session
%attr(0755,root,squid) %{_libexecdir}/squid_unix_group
%attr(0755,root,squid) %{_libexecdir}/wbinfo_group.pl
%attr(0755,root,squid) %{_libexecdir}/yp_auth
%{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man8/*
%attr(0755,squid,squid) %dir %{_var}/run/squid
%attr(0755,squid,squid) %dir %{_var}/log/squid
%attr(0755,squid,squid) %dir %{_var}/spool/squid
%attr(0644,root,squid) %{_datadir}/snmp/mibs/SQUID.txt

%files cachemgr
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) /etc/httpd/conf/webapps.d/squid-cachemgr.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/cachemgr.conf
%attr(0755,root,squid) %{_var}/www/cgi-bin/cachemgr.cgi


%changelog
* Wed Mar 21 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE7-2mdv2007.1
+ Revision: 147392
- added security patch to fix DoS, taken from Squid
  advisory (http://www.squid-cache.org/Advisories/SQUID-2007_1.txt)

* Tue Jan 16 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE7-1mdv2007.1
+ Revision: 109453
- updated to version 2.6.STABLE7

* Tue Jan 02 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE6-1mdv2007.1
+ Revision: 103347
- updated to version 2.6.STABLE6
- updated icap patch
- updated make patch
- Closes: #27866

* Fri Oct 13 2006 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE1-5mdv2006.0
+ Revision: 64586
- rebuild to fix x86_64 issue (#25731)

* Tue Sep 12 2006 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE1-4mdv2007.0
+ Revision: 61137
- added parallel initscript support
- added patch to fix transparent proxy mode
  (http://www.squid-cache.org/bugs/show_bug.cgi?id=1650). Tested that it works
  (and that it doesn't work without the patch)
- adjusted icap patch so it applies after the above change
- removed version patch, not needed
- bunzipped patches and some sources
- Import squid



* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE1-3mdv2007.0
- fix pid dir in the initscript

* Mon Jul 24 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE1-2mdv2007.0
- fix build on x86_64 (cooker)
- 2.6.STABLE1 (Major feature enhancements)
- rediffed P0,P300
- drop upstream patches
- drop the bundled automake-1.5
- new FAQ in html instead (S2)
- make it build with correct LFS CFLAGS (P302)
- make it start even if hostname is borked (P8)
- added a patch by debian so that backslashes works in passwords (P9)
- fix deps
- fix the initscript so that squid won't start if no 2.6 kernel is used
  because squid now requires epoll support
- fix a msec safe pid dir for squid

* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 2.6.STABLE1-1mdv2007.0
- 2.6.STABLE1
- rediff patch0
- drop patches 4,300 (destination file doesn't exist anymore)
- drop patches 5,7,100 (upstream)
- drop source10 (samba 2.x support dropped upstream)

* Fri Jun 16 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-3mdv2007.0
- added P7 for squid_nufw_helper support

* Sun Jun 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-2mdv2007.0
- added one official patch (P100)

* Sat May 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-1mdk
- 2.5.STABLE14 (Minor bugfixes)

* Thu Mar 16 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE13-1mdk
- 2.5.STABLE13 (Major bugfixes)
- drop upstream implemented official patches
- fix the apache config
- make it backportable for older pam (S12,S13)
- add the Azerbaijani translation

* Thu Jan 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE12-1mdk
- 2.5.STABLE12
- rediffed P5,P300
- use current official patches
- make --with-maxfd tunable at build time, defaults to 1024 (thanks buchan milne)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-11mdk
- rebuilt against openssl-0.9.8a

* Mon Sep 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-10mdk
- nuke zero length files

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-9mdk
- added more official patches, P116 - P127
- dropped P7, use their patch instead (P120)
- rediffed the ICAP patch (P300)

* Thu Sep 08 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-8mdk
- enable icap support per default

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-7mdk
- rebuilt against new openldap-2.3.6 libs

* Sat Aug 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.STABLE10-6mdk
- added P7 to fix a vprintf macro clash (ideas from suse)

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-5mdk
- new official P103
- added more official patches, P110 - P115
- fix deps

* Tue Jun 28 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-4mdk
- rediff the ICAP patch and move it last in line to patch

* Mon Jun 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-3mdk
- added seven official patches (P103 - P109)

* Sat Jun 11 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-2mdk
- added --with[out] spec file magic
- use the %%mkrel macro
- bzip sources
- moved the squid cache manager into the common cgi-bin dir and
  added an simple apache config file
- added three official patches (P100, P101, and rediffed P102) from:
  http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE10
- added the squid-cachemgr sub package
- spec file massage

* Tue May 24 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-1mdk
- 2.5.STABLE10
- drop 32 patches for 2.5.STABLE9
- rediffed P5
- use private version of automake
- added P7 (icap support)

* Mon Apr 25 2005 Stew Benedict <sbenedict@mandriva.com> 2.5.STABLE9-1mdk
- 2.5.STABLE9
- rediff patches 0,2,5
- remove patches merged upstream (7-16, 100-114)
- add STABLE9 patches from squid site (P100-132)
- http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE9

* Wed Apr  6 2005 Daouda LO <daouda@mandrakesoft.com> 2.5.STABLE6-5mdk 
- security fixes (#13976)
 o Wed Feb 23 2005 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2.4.101mdk
   - P16: security update for CAN-2005-0446

 o Tue Feb 08 2005 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2.3.101mdk
   - security update for CAN-2005-0173, CAN-2005-0174, CAN-2005-0175,
    CAN-2005-0211, CAN-2005-0241 (p 11,12,13,14,15)

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.5.STABLE6-4mdk
- rebuild for ldap2.2_7

* Mon Jan 31 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.5.STABLE6-3mdk 
- fixed some rpmlint reports
- parallel build
- fix grep command
- security update for CAN-2005-0094 and CAN-2005-0095
- P7: security fix for CAN-2004-0918

* Fri Oct 08 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2mdk
- P7: security fix for CAN-2004-0832

* Thu Aug 19 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE6-1mdk
- 2.5.STABLE6
- add the corresponding patches

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.STABLE5-5mdk
- security fix for CAN-2004-0541 (P300) (Vincent Danen)

* Thu Jun 10 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-4mdk
- silly, I forgot the --enable-follow-x-forwarded-for option

* Thu Jun 10 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-3mdk
- add the abuse, xforward_logging, follow_xff patches
 

* Tue Apr 20 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-2mdk
- back to chkconfig 345 in the initscript (thx To D. Walser's report)

* Mon Apr 19 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-1mdk
- 2.5.STABLE5
- add the upstream patches
- add some compilation options
- use some rh work (initscript, sysconfig, two patches)
- remove old useless patches

* Mon Mar 29 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE4-2mdk
- security fix for CAN-2004-0189

* Fri Sep 19 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE4-1mdk
- 2.5.STABLE4

* Fri Aug 08 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE3-2mdk
- remove the SASL module (depends on the obsolete cyrus-salsl 1.5.8)

* Wed Jul 16 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE3-1mdk
- 2.5.STABLE3
- add the "winbind_group" option (Norman Zhang's suggestion)
- add the wb_group binary

* Thu Apr 10 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE2-2mdk
- change the icondir => update the make patch (thx to M. Ducea)

* Thu Apr 03 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE2-1mdk
- 2.5.STABLE2

* Fri Feb 07 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE1-7mdk
- add BuildRequires:Openssl-devel >= 0.9.7 (thx to David MacKenzie)

* Mon Feb 03 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE1-6mdk
- thx to Buchan Milne's Idea
- Update winbind headers from samba-2.2.7 (Source 10)
- Add wb_ntlmauth (allow NTLM auth with winbind with
samba-winbind-2.2.7-5mdk)

* Wed Jan 22 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE1-5mdk
- fix the make patch (thx to Viestiss Tiistai 21. Tammikuuta)

* Tue Jan 21 2003 Florin <florin@mandrakesoft.com> 2.5.STABLE1-4mdk
- 2.5.STABLE1-20030121
- update the make patch
- add the ssl patch
- fix spec file

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 2.5.STABLE1-3mdk
- add the forgotten icons (thx to M. Ducea)
- update the authenticate example

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 2.5.STABLE1-2mdk
- BuildRequires: libsasl-devel openssl-devel

* Fri Oct 18 2002 Florin <florin@mandrakesoft.com> 2.5.STABLE1-1mdk
- 2.5STABLE1
- update the make, config and the user_group patches
- remove the obsoleted perlpath patch
- update the paths for the SMB substitutions
- misc adaptions

* Tue Aug 06 2002 Florin <florin@mandrakesoft.com> 2.4.STABLE7-2mdk
- add user squid

* Fri Jul 05 2002 Florin <florin@mandrakesoft.com> 2.4.STABLE7-1mdk
- 2.4STABLE7 - security fixes

* Thu Jun 20 2002 Florin <florin@mandrakesoft.com> 2.4.STABLE6-2mdk
- add the ncsa compiled authentication module
- remove the FQ html from the docs qs the sgm2html is obsolete now
- qns db2html doesn't work

* Thu Apr 18 2002 Florin <florin@mandrakesoft.com> 2.4.STABLE6-1mdk
- rebuild for cooker

* Wed Mar 27 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.4.STABLE6-1.1mdk
- security fix for 8.1/8.2

* Wed Mar 27 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.4.STABLE6-1mdk
- 2.4STABLE6

* Mon Feb 25 2002 Florin <florin@mandrakesoft.com> 2.4.STABLE4-2mdk
- make sure SAMBAPREFIX is replaced in the Makefile (thx to L.F.L. Mejia)
- use some sugestions for lrus, post link (thx to M.Ducea)
- remove some useless checking for a null cache (thx to A.Borsenkow)

* Thu Feb 21 2002 Florin <florin@mandrakesoft.com> 2.4.STABLE4-1mdk
- 2.4.STABLE4

* Wed Feb 13 2002 Florin <florin@mandrakesoft.com> 2.4.STABLE3-2mdk
- add the possibility of a null cache config

* Mon Jan 14 2002 Florin <florin@mandrakesoft.com> 2.4.STABLE3-1mdk
- 2.4.STABLE3
- better name for patch3

* Tue Nov 06 2001 Florin <florin@mandrakesoft.com> 2.4.STABLE2-4mdk
- bring back the pre and postun and modify the preun section for 7.2
- users

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 2.4.STABLE2-3mdk
- rebuild for db3

* Thu Oct 11 2001 Florin <florin@mandrakesoft.com> 2.4.STABLE2-2mdk
- rebuild for db3

* Fri Oct 05 2001 Florin <florin@mandrakesoft.com> 2.4.STABLE2-1mdk
- 2.4.STABLE2
- add the ldap_auth man page
- new squid.conf.authenticate file
- add the squid.ldap.transparent, ERR_CUSTOM*, rc.firewall files
- run again as squid.squid user.group like in good old days
- replace the nogroup patch with squid.squid.patch

* Wed Oct 03 2001 Florin <florin@mandrakesoft.com> 2.4.STABLE1-11mdk
- better explanation for the samba auth in the sample conf file

* Wed Oct 03 2001 Florin <florin@mandrakesoft.com> 2.4.STABLE1-10mdk
- modify a bit the ldap authentication -> squid*ldap*patch 
- add the authenticate README files
- add a sample squid.conf.authenticate file, including diskd
- NIS, samba, ldap, pam authentication have been tested
- modify the SAMBAPREFIX var for samba authentication
- add a smb.conf sample file in docs
- s/use Authen::Smb/use Authen::Smb::Smb in smb_auth.pl
- remove the ncsa_auth module as it doesn't seem to work (use pam anyway)

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 2.4.STABLE1-9mdk
- BuildRequires:        openldap-devel pam-devel
- Removed BuildRequires:        jade

* Thu Aug 09 2001 Florin Grad <florin@mandrakesoft.com> 2.4.STABLE1-8mdk
- fix the authentication  
- add two authentication scripts (.sh & .pl)

* Fri Aug 03 2001 Florin <florin@mandrakesoft.com> 2.4.STABLE1-7mdk
- add the forgotten diskd. Thanks to Ian C. Sison for letting me now.

* Wed Jul 18 2001 Stefan van der Eijk <stefan@eijk.nu> 2.4.STABLE1-6mdk
- BuildRequires:        openldap-devel pam-devel
- Removed BuildRequires:        jade

* Tue Jul 17 2001 Florin <florin@mandrakesoft.com> 2.4.STABLE1-5mdk
- add the nogroup patch - the default group is now nobody instead of nogroup
- comment out the pre section - the squid user is added and deleted by the system
- add the auth_modules and their README files
- some spec file cleanings

* Sun Jun 03 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.4.STABLE1-4mdk
- Applied a patch for the config file

* Mon May 28 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.4.STABLE1-3mdk
- The init script now handle the /var/run/squid.pid file

* Tue May 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.4.STABLE1-2mdk
- Applied some necessary patches
- Changed log & spool file permission to nobody

* Tue May 15 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.4.STABLE1-1mdk
- Added the swap directory in /var/cache
- Changed log files permission
- Removed dnsserver's related things, it's now internal.
- Fixed the configure parameters for 2.4 
- updated to version 2.4.STABLE1

* Sun Apr 08 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.3.STABLE4-5mdk
- conformed to server policy
  
* Tue Mar 13 2001 Geoffrey Lee  <snailtalk@mandrakesoft.com> 2.3.STABLE4-4mdk
- Fix the paths where the initscript gets installed (Christian Zoffoli).

* Tue Mar 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.STABLE4-3mdk
- Include fixes for Squid as asked by Alexander Skwar.
- Remove stripping of binary.
- Use %configure and %makeinstall.
- Enable async io, enable carp support and enable useragent logging.

* Tue Jan 16 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.3.STABLE4-2mdk
- security fix for tmpfile problems (patch#20)
- cleanup spec; macros

* Sun Nov 12 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.STABLE4-1mdk
- shiny version.
- comment out already applied patches.

* Tue Sep  5 2000 Etienne Faure  <etienne@mandraksoft.com> 2.3.STABLE2-3mdk
- rebuilt with %%doc macro
- added noreplace tag for config files

* Tue May  2 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.3.STABLE2-2mdk
- fixed %post script
- three more bugfix patches from the squid people
- buildprereq jade, sgmltools

* Fri Apr  7 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.3.STABLE2-1mdk
- merged with redhat again

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- make %pre more portable

* Thu Mar 16 2000 Bill Nottingham <notting@redhat.com>
- bugfix patches
- fix dependency on /usr/local/bin/perl

* Sat Mar  4 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE2

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- Yet More Bugfix Patches

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- add more bugfix patches
- --enable-heap-replacement

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- grab some bugfix patches

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE1 (whee, another serial number)

* Tue Dec 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compliance with ftp RFCs
  (http://www.wu-ftpd.org/broken-clients.html)
- Work around a bug in some versions of autoconf
- BuildPrereq sgml-tools - we're using sgml2html

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- add a couple of bugfix patches

* Wed Oct 13 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE5.
- update FAQ, fix URLs.

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- transform restart in reload and add restart to the init script

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- add squid user as user 23.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
- fix conflict between logrotate & squid -k (#4562)

* Wed Jul 28 1999 Bill Nottingham <notting@redhat.com>
- put cachemgr.cgi back in /usr/lib/squid

* Wed Jul 14 1999 Bill Nottingham <notting@redhat.com>
- add webdav bugfix patch (#4027)

* Mon Jul 12 1999 Bill Nottingham <notting@redhat.com>
- fix path to config in squid.init (confuses linuxconf)

* Wed Jul  7 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE4

* Wed Jun 9 1999 Dale Lovelace <dale@redhat.com>
- logrotate changes
- errors from find when /var/spool/squid or
- /var/log/squid didn't exist

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE3

* Thu Apr 22 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE.2

* Sun Apr 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE1

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- don't need to run groupdel on remove
- fix useradd

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix effective_user (bug #2124)

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- duh. adduser does require a user name.
- add a serial number

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- add an adduser in %pre, too

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- oog. chkconfig must be in %preun, not %postun

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- switch to using group squid
- turn off icmp (insecure)
- update to 2.2.DEVEL3
- build FAQ docs from source

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.PRE2

* Wed Dec 30 1998 Bill Nottingham <notting@redhat.com>
- cache & log dirs shouldn't be world readable
- remove preun script (leave logs & cache @ uninstall)

* Tue Dec 29 1998 Bill Nottingham <notting@redhat.com>
- fix initscript to get cache_dir correct

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.1.PATCH2
- merge in some changes from RHCN version

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.1.22

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- don't make packages conflict with each other...

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- added a proxy auth patch from Alex deVries <adevries@engsoc.carleton.ca>
- fixed initscripts

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt for Manhattan

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.21/1.NOVM.21

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- updated the init script to use reconfigure option to restart squid instead
  of shutdown/restart (both safer and quicker)

* Sat Feb 07 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.20
- added the NOVM package and tryied to reduce the mess in the spec file

* Wed Jan 7 1998 Cristian Gafton <gafton@redhat.com>
- first build against glibc
- patched out the use of setresuid(), which is available only on kernels
  2.1.44 and later
